petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatColoringSetFromOptions

Sets MatColoring options from user parameters

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatColoringSetFromOptions(MatColoring mc)

Collective on MatColoring

### Input Parameters

mc -MatColoring context

### Options Database Keys

| -mat_coloring_type | - the type of coloring algorithm used
| -mat_coloring_maxcolors | - the maximum number of relevant colors, all nodes not in a color are in maxcolors+1
| -mat_coloring_distance | - compute a distance 1,2,... coloring.
| -mat_coloring_view | - print information about the coloring and the produced index sets

### Keywords

Coloring, Matrix

### See Also

MatColoring, MatColoringApply()

### Level

beginner

### Location

src/mat/color/interface/matcoloring.c

### Examples

src/mat/examples/tutorials/ex16.c.html

### Implementations

MatColoringSetFromOptions_Greedy in src/mat/color/impls/greedy/greedy.c
MatColoringSetFromOptions_JP in src/mat/color/impls/jp/jp.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages